#include <phigs.h>			/* get HP-PHIGS definitions for C */
#include <stdio.h>			/* get standard I/O definitions */

main()					/* file "TextPath.c" */
{
    Pint	WorkstnID = 1;		/* workstation identifier */
    Pint	ConnID;			/* connection identifier */
    Pint	WorkstnType = POIDDX;	/* out/in, direct, dbl bfr, Xwindow */
    Pint	TheStructure = 1;	/* structure ID (chosen by user) */
    static Ppoint Loc = {		/* text location */
		0.5, 0.7};

    popen_phigs((char *) stderr, 0);	/* errors go to "stderr" */
    pescape_u4("/dev/screen/phigs_window", &ConnID);
    popen_ws(WorkstnID, (void *) ConnID, WorkstnType);
    popen_struct(TheStructure);
    pset_char_ht(0.06);
    pset_text_path(PPATH_RIGHT);
    ptext(&Loc, " Right");
    pset_text_path(PPATH_LEFT);
    ptext(&Loc, " Left");
    pset_text_path(PPATH_UP);
    ptext(&Loc, " Up");
    pset_text_path(PPATH_DOWN);
    ptext(&Loc, " Down");
    pclose_struct();
    ppost_struct(WorkstnID, TheStructure, 1.0);
    pupd_ws(WorkstnID, PFLAG_PERFORM);	/* (regeneration flag) */
    pclose_ws(WorkstnID);
    pclose_phigs();
}
